<?php
/*****************************************************************************
 * AlbumHeaderBox.php
 * Defines the AlbumHeaderBox template.
 *
 * Kabuki CMS (C) 2013-2016, Aaron van Geffen
 *****************************************************************************/

class AlbumHeaderBox extends SubTemplate
{
	public function __construct($title, $description, $back_link, $back_link_title)
	{
		$this->title = $title;
		$this->description = $description;
		$this->back_link = $back_link;
		$this->back_link_title = $back_link_title;
	}

	protected function html_content()
	{
		echo '
			<div class="album_title_box">
				<a class="back_button" href="', $this->back_link, '" title="', $this->back_link_title, '">&larr;</a>
				<div>
					<h2>', $this->title, '</h2>';

		if (!empty($this->description))
			echo '
					<p>', $this->description, '</p>';

		echo '
				</div>
			</div>';
	}
}
